Package pyplusplus :: Package function_transformers :: Module controllers :: Class sealed_fun_controller_t

# type sealed_fun_controller_t

source code

           object --+
                    |
    controller_base_t --+
                        |
                       sealed_fun_controller_t

Known Subclasses:
  - free_fun_controller_t
  - , mem_fun_controller_t
  - , virtual_mem_fun_controller_t.default_fun_controller_t

base class for free and member function controllers

Instance Methods

__init__(self, function) | source code

declare_variable(self, type, name, initialize_expr=`'````'`) | source code

register_variable_name(self, name) | source code

find_wrapper_arg(self, name) | source code

remove_wrapper_arg(self, name) | source code

modify_arg_expression(self, index, expression) | source code

return_variable(self, variable_name) | source code

add_pre_call_code(self, code) | source code

add_post_call_code(self, code) | source code

Inherited from `controller_base_t`: `apply`

Properties
| variables
| result_variable
| template
| wrapper_args
| arg_expressions
| wrapper_return_type
| return_variables
| pre_call
| post_call
Inherited from `controller_base_t`: `function`

Method Details

### __init__(self, function)
(Constructor)

source code

Overrides: controller_base_t.__init__

Property Details

### variables

### result_variable

### template

### wrapper_args

### arg_expressions

### wrapper_return_type

### return_variables

### pre_call

### post_call